import request from '@/utils/request'

// 查询渠道链接列表
export function pageCustomerLink(params) {
  return request({
    url: '/qwCustomerLink/page',
    method: 'get',
    params: params
  })
}

// 获取渠道链接详情
export function getCustomerLink(id) {
  return request({
    url: '/qwCustomerLink/' + id,
    method: 'get'
  })
}

// 新增或编辑渠道链接
export function createOrUpdateCustomerLink(data) {
  return request({
    url: '/qwCustomerLink/createOrUpdate',
    method: 'post',
    data: data
  })
}

// 删除渠道链接
export function deleteCustomerLink(id) {
  return request({
    url: '/qwCustomerLink/delete/' + id,
    method: 'post'
  })
}

// 查询渠道链接的渠道列表
export function pageCustomerLinkChannel(params) {
  return request({
    url: '/qwCustomerLink/channel/page',
    method: 'get',
    params: params
  })
}

// 新增渠道链接的渠道
export function createCustomerLinkChannel(data) {
  return request({
    url: '/qwCustomerLink/channel/create',
    method: 'post',
    data: data
  })
}

// 删除渠道链接的渠道
export function deleteCustomerLinkChannel(id) {
  return request({
    url: '/qwCustomerLink/channel/delete/' + id,
    method: 'post'
  })
}
